services:
  bxt:
    image: "node:latest"
    working_dir: /bxt
    volumes:
      - ./bxt:/bxt
    env_file:
      - .env
    command: "npm run start"
    depends_on:
      - mariadb
    networks:
      - dbnet

  # Optional
  mariadb:
    image: mariadb:latest
    volumes: 
      - mariadb_data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: somepass
      MYSQL_DATABASE: bxt
      MYSQL_USER: someuser
      MYSQL_PASSWORD: somepass
    networks:
      - dbnet

volumes:
  mariadb_data:

networks:
  dbnet:
